API ReferenceLoans
Get loan application by ID
Retrieve loan application details by loan application ID
Path Parameters
application_id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/accounts/loan/applications/greenwheels/string"{ "id": "650e8400-e29b-41d4-a716-446655440000", "resource_id": "lapp_351t201rmv87aae5j4csam8000", "status": "APPROVED", "account_id": "550e8400-e29b-41d4-a716-446655440000", "loan_product_type": "FLAT_RATE", "loan_amount": 500000, "collateral_amount": 100000, "collateral_percentage_basis_points": 1500, "collateral_hold_id": "750e8400-e29b-41d4-a716-446655440000", "total_repayment_amount": 550000, "tenure_weeks": 12, "tenure": { "duration": 12, "unit": "WEEKS" }, "weekly_interest_rate_basis_points": 1000, "currency": "KES", "expires_at": "2025-10-27T10:30:00Z"}{ "code": "BAD_REQUEST", "description": "Bad Request"}{ "code": "UNAUTHORISED", "description": "Unauthorised"}{ "code": "WAITING_LIST", "description": "User is in the waiting list"}{ "code": "TOO_MANY_REQUESTS", "description": "Too Many Requests"}{ "code": "INTERNAL_SERVER_ERROR", "description": "Internal Server Error"}Get loan application by ID GET
Retrieve loan application details by loan application ID Deprecated path — use /v1/accounts/loan/applications/greenwheels instead.
Apply for loan POST
Submit loan application and create credit account Deprecated path — use /v1/accounts/loan/applications/greenwheels instead.